 body {
  background: #f4f3ef;
 }

 .navbar-midnight-blue {
  background-color: #fff;
  position: fixed;
  width: 100%;
  top: 0px;
  z-index: 100;
  color: #66615B;
  border-bottom: 1px solid #ddd;
}

/* navbar style */
.navbar {
  display: flex;
  justify-content: space-between;
}
.navbar ul {
  margin: 0px;
  padding: 0px;
}

.navbar ul li {
  display: inline-block;
  padding: 0px 5px 0px 5px;
}

.navbar ul li a {
  line-height: 40px;
  display: block;
}

.navbar ul li .icon-cogs-menu {
  color: #66615B;
  text-decoration: none;
}

.control-panel-title {
  padding: 20px 0;
  cursor: pointer;
  font-weight: bold;
  color: #66615B;
  font-family: "Roboto:300i", sans-serif;
}

.control-panel-title:hover {
  color: #1dc3b6 !important;
}

.sidebar-icon,
.sidebar-icon:hover {
  color: #fff;
  text-decoration: none;
}

.avatar-profile {
  height: 46px;
}

.chart-wrapper {
  margin-bottom: 20px;
}

.monitor-sensor-code {
  font-weight: bold;
}

.username {
  color: #66615B;
  font-family: "Roboto", sans-serif;
  font-size: 14px;
}

/* end navbar style */

/* Style notifications and messages */

.notification .fa-bell {
  color: #c0392b;
  text-decoration: none;
}

.notification,
.messages {
  position: relative;
}

.messages .fa-envelope-o {
  color: #27ae60;
}

.messages .badge,
.notification .badge {
  position: absolute;
  top: -2px;
  left: 75%;
  font-size: 65%;
}

/* Dropdown menu style */

.dropdown-menu li a {
  text-decoration: none;
  color: #1dc3b6;
}

.dropdown-menu {
  right: 0px;
  left: inherit;
  border-radius: 0px;
}

/* main sidebar style*/

.main-sidebar {
  width: 240px;
  position: fixed;
  height: 100%;
  transition: all 0.3s;
  z-index: 1;
  top:56px;
}

.show-sidebar {
  left: 0%;
}

.hide-sidebar {
  left: -250px;
}

.main-sidebar .navbar {
  display: inline-block;
  list-style: none;
  margin: 0px;
  padding: 0px;
  width: 100%;
}
.main-sidebar .navbar li a {
  padding: 0px 5px 0px 5px;
  color: #66615B;
}

.main-sidebar .navbar li a {
  line-height: 40px;
  display: block;
  text-decoration: none;
}

.main-sidebar .active {
  background-color: #e12885;
  color: #fff;
  height: 40px;
}

.main-sidebar .active span {
  font-family: "Roboto", sans-serif;
  padding-left: 10px;
  font-size: 12px;
  line-height: 40px;
}

.main-sidebar .navbar li a:hover {
  color: #1dc3b6;
}

/* Content style */
.content {
  margin-left: 260px;
  margin-right: 20px;
  margin-bottom: 30px;
  transition: all 0.3s;
}

.content-db {
  transition: all 0.3s;
}

#content {
  margin-top: 90px;
  transition: all 0.3s;
  padding: 10px;
  min-height: 1000px;
}
/* Style card */

#content .card {
  margin-top: 10px;
}

#content {
  border-radius: 12px;
    box-shadow: 0 6px 10px -4px rgba(0, 0, 0, 0.15);
    background-color: #FFFFFF;
    padding: 20px;
}

.card {
  border-radius: 0px;
  box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.3);
}

.card .card-footer a {
  color: #fff;
  font-family: "Roboto", sans-serif;
  font-size: 12px;
}

.card-info-nav {
  margin: 0px;
  padding: 0px;
}

.card-info-nav .fa {
  font-size: 60px;
}

.card-info-nav li {
  color: #fff;
  display: inline-block;
}

.card-info-nav li h2 {
  font-size: 18px;
  margin-bottom: 5px;
}

.card-info-nav li span {
  font-family: "Roboto", sans-serif;
  font-size: 14px;
}

.card-nerphritis {
  background-color: #27ae60;
}

.card-belize-hole {
  background-color: #2980b9;
}

.card-orange {
  background-color: #f39c12;
}

.card-alizarin {
  background-color: #e74c3c;
}

.main-sidebar .navbar li {
  padding: 0 15px;
}

#btn-sidebars {
  margin-right: 20px;
}

.left-nav li a {
  color: #66615B;
  text-decoration: none;
}

.left-nav li a:hover {
  color: #1dc3b6 !important;
}

@media screen and (max-width: 480px) {

  .content {
    margin-left: 0;
  }

  #sidebar {
    left: -250px;
  }

  .show-sidebar {
    left: -250px;
  }

  .hide-sidebar {
    left: 0% !important;
  }

}

/*Tab*/

.nav-tabs {
  font-size: .9em;
}

.nav-link {
  color: #1dc3b6;
}

.nav-link:hover {
  color: #e12885;
}

.nav-tabs .nav-link.active {
  font-weight:bold;
  background-color: transparent;
  border-bottom:3px solid #1dc3b6;
  border-right: none;
  border-left: none;
  border-top: none;
}


.node-info p:nth-child(1) {
  font-weight: bold;
  font-size: 1.3em;
  margin-bottom: 27px;
}

.node-info p:nth-child(2), .node-info p:nth-child(3), .node-info p:nth-child(4), .node-info p:nth-child(5) {
  font-size: .8em;
}

.node-info {
  line-height: 10px;
}

.bold {
  font-weight: bold;
}
.tabs {
  margin-top: 20px;
}

.tab-item {
  width: 120px;
}

.tab-content {
  padding: 15px;
}

/*./Tab*/

/*Monitoring*/

.filter {
  margin-left: 6%;
}

.sensor-sum {
  margin-top: 20px;
  font-size: .8em;
  margin-left: 30px;
}

.sensor-sum-1 p:nth-child(1) {
  color: #ff4081;;
}

.sensor-sum-1 p:nth-child(2) {
  color: #159d92;;
}

.form-filter {
  width: 29%;
  padding: 0 10px;
  margin: 5px 10px;
  height: 30px;
}

.text-filter {
  font-size: .9em;
  margin-top: 8px;
}

/*./Monitoring*/

/*Pengaturan*/

.setting-item {
  margin-bottom: 15px;
}

.setting-item label {
  font-size: .9em;
}

.card {
  border-radius: 5px;
  padding: 20px;
}

.card-danger {
  border-color: #f00;
}

.api-div {
  margin-top: 40px;
}

.api-div h3 {
  font-weight: normal;
}

.api-url {
  padding: 5px 10px;
  font-family: monospace;
  background-color: #e9ecef;
  border: 1px solid #ced4da;
}

.str {
  color: #D14;
}

.customcode {
  color: #00ab9b;
}

.danger-info {
  font-size: .8em;
  line-height: 10px;
}

.danger-info p:nth-child(1) {
  font-weight: bold;
}

.danger-item button {
  margin-top: 5px;
}

/*./Pengaturan*/


/*Sensor*/

.sensor-field-left input, .sensor-field-left select {
  margin-bottom: 15px;
}

.sensor-field-label label {
  font-weight: bold;
  font-size: .8em;
}

.sensor-field-right {
  margin-top: 20px;
}

.sensor-field-right div {
  margin-top: 8px;
}

.sensor-field-right .sfr-input {
  margin-top: 20px;
}
/*./Sensor*/

/*Export*/

.export .label {
  font-weight: bold;
  font-size: .8em;
}

/*./export*/

.btn-primary {
  background-color: #1dc3b6 !important;
  border-color: #2fafa5 !important;
}

.btn-primary:hover {
  background-color: #07877d !important;
}

.wdth3 {
  width: 40%;
}

.caption-alert{
  font-size: .8em;
}

.threshold-caption {
  font-size: .8em;
}

.clear {
  clear: both;
}


/* DB */

.db-item-wrap {
  margin-bottom: 40px;
}

.db-item:hover {
  text-decoration: none;
}


.db-item-top {
  font-size: 1.5em;
  text-align: center;
  color: #000;
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
  height: 120px;
  background-color: #f4f4f4;
  padding: 40px 10px 10px 10px;
  border: 2px solid #1dc3b6;
  transition: all .3s ease-in-out;
}

.db-item-bottom {
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
  height: 50px;
  background-color: #1dc3b6;
  padding: 5px 10px;
  font-size: .8em;
  color: #fff;
  font-style: italic;
}

.db-item-top:hover {
  background-color: #dedede;
}

.db-add-btn {
  font-size: 5em;
  padding: 0;
}

.db-add-btn p {
  margin-top: -5px;
}

.tooltip-inner {
  white-space: pre;
  max-width: none;
}

/*./End DB*/

.show-per-wrapper {
  margin-top: 10px;
}

.show-per {
  padding-top: 3px;
  width: 20%;
  margin: 5px 10px;
  height: 30px !important;
  font-size: .9em;
}

.btn-filter {
  margin-top: 5px;
  height: 30px;
}

.no-data {
  text-align: center;
  margin-top: 30px;
  color: grey;
}

.small-text {
  font-size: .85em;
}

.smaller-line-height {
  line-height: 15px;
}

.normal-line-height {
  line-height: 20px;
}

.btn-copy {
  border-top-left-radius: 0px;
  border-bottom-left-radius: 0px;
}

.input-copy {
  border-top-right-radius: 0px;
  border-bottom-right-radius: 0px;
}

.form-label {
  font-size: .8em;
}

.info-btn {
  margin-left: 5px;
  color: #8a8a8a;
  cursor: pointer;
}

.info-btn:hover {
  color: #000;
}

.hide {
  display: none;
}

.happy-hardcore {
  font-weight: bold;
}

.view-kode {
  line-height: 0;
  float: right;
  font-size: .8em;
}

.sensor-info {
  margin-top: 20px;
  font-size: .8em;
}

.item-notif {
  color: #000 !important;
  display: block !important;
  font-size: 13px !important;
  white-space: initial;
  line-height: 20px !important;
  padding: 10px 5px !important;
  border-bottom: 1px solid #dddfe2;
}

.diactive {
  background: #edf1fa !important;
}

.notif-label {
  font-size: .8em;
  padding: 5px 10px !important;
  white-space: initial;
  font-weight: bold;
  
}

.notif-label-top {
  border-bottom: 1px solid #dddfe2;
}

.notif-label-bottom {
  border-top: 1px solid #dddfe2;
  text-align: center;
  line-height: 0;
}

.notif-label-bottom p {
  margin-top: 10px;
}

.notif-label:hover {
  background-color: #fff;
}

.dropdown-notif {
  width: 25%;
}

.notif-time {
  text-align: right;
  font-style: italic;
  font-size: .9em;
  color: #838383;
}

.notif-wrapper {
  height: 350px;
  overflow: auto;
}

.table-notif tr {
  cursor: pointer;
}

.ta-center {
  text-align: center;
}

.canvas {
  height: 300px;
}

.btn-sensor {
  margin-bottom: 10px;
}

.status-info:hover {
  text-decoration: underline;
  cursor: pointer;
}

.dot {
  height: 15px;
  width: 15px;
  border-radius: 50%;
  display: inline-block;
  margin-right: 5px;
  margin-left: 25px;
  position: relative;
  top: 3px;
}


@media screen and (max-width: 480px) {
  .tab-item {
    width: auto;
  }

  .dropdown-notif {
    width: 100%;
  }

  .input-copy {
    width: 100%;
  }

  .tab-content {
    padding-left: 0px;
    padding-right: 0px;
  }

  .small-text {
    line-height: 20px !important;
  }

  .form-filter {
    width: 60%;
  }

  .show-per {
    width: 40%;
  }
}











@media screen and (max-width: 1295px) and (min-width: 992px) {
  .db-item-top {
    height: 140px;
  }
}

@media screen and (max-width: 1140px) and (min-width: 768px) {
  .content {
    margin-left: 180px;
  }

  .main-sidebar {
    width: 180px;
  }

  .input-copy {
    width: 50%;
  }
}

@media screen and (max-width: 1140px) and (min-width: 480px) {
  .dropdown-notif {
    width: 30%;
  }
}

.main-sidebar {
  background: #fff;
      transform: translate3d(0px, 0, 0);
       color: #ef8157;
  border-right: 1px solid #ddd;
}


.main-sidebar .active {
  
  background: #fff;
}

.main-sidebar .active a { 
  color: #1dc3b6 !important;
}

